## ros-one-openni-launch 1.11.1-4jammy.20251023.1052

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openni_launch)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  # check that all launch file dependencies are declared correctly
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
  roslaunch_add_file_check(launch/includes)
endif ()

=== debian/changelog ===
ros-one-openni-launch (1.11.1-4jammy.20251023.1052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 23 Oct 2025 10:52:14 +0000

ros-one-openni-launch (1.11.1-0jammy) jammy; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-openni-launch (1.11.0-0jammy) jammy; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 13 Jan 2018 00:00:00 -0000

ros-one-openni-launch (1.10.0-0jammy) jammy; urgency=high

  * [maintenance] Repository moved to https://github.com/ros-drivers/openni_camera
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-openni-launch (1.9.8-0jammy) jammy; urgency=high

  * [feat] adding depth_registered_filtered injection #26 <https://github.com/ros-drivers/openni_launch/issues/26>
  * [sys][Travis CI] Update config to using industrial_ci with Prerelease Test. #28 <https://github.com/ros-drivers/openni_launch/issues/28>
  * Contributors: Jonathan Bohren, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 07 May 2016 00:00:00 -0000

ros-one-openni-launch (1.9.7-0jammy) jammy; urgency=high

  * 1st ROS Jade release
  * [sys] Add a simple travis config
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 15 Nov 2015 00:00:00 -0000

ros-one-openni-launch (1.9.6-0jammy) jammy; urgency=high

  * [feat] adjust frame ids to TF2
  * [fix] Removes the leading '/' from the TF frames in case tf_prefix is empty, which fixes this error:
    [ WARN] [1432284298.914340788]: TF2 exception:
    Invalid argument "/camera_rgb_optical_frame" passed to lookupTransform argument target_frame in tf2 frame_ids cannot start with a '/' like:  (/camera/camera_nodelet_manager)
    Actually, tf_prefix is now ignored altogether.
  * Contributors: Jack O'Quin, Jonathan Binney, Martin Guenther

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 27 Oct 2015 00:00:00 -0000

ros-one-openni-launch (1.9.5-0jammy) jammy; urgency=high

  * Test the ROS launch files, fix some errors (#10 <https://github.com/ros-drivers/openni_launch/issues/10>).
  * Fix errors found by roslaunch unit test (#10 <https://github.com/ros-drivers/openni_launch/issues/10>).
  * Add unit tests for launch file dependencies.
  * Contributors: Jack O'Quin, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 18 Apr 2014 00:00:00 -0000

ros-one-openni-launch (1.9.4-0jammy) jammy; urgency=high

  * Fix missing run_depend.
  * Contributors: Marcus Liebhardt, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 25 Aug 2013 18:04:00 -0000

ros-one-openni-launch (1.9.3-0jammy) jammy; urgency=high

  * Switch to rgbd_launch.
  * Added sw_registration and hw_registration flags.
  * Modified the top level file to use internal file names.
  * device.launch is now internal.
  * Added deprecation notice about rgb.launch.
  * Deprecation notices about the move of common launch files to rgbd_launch.
  * Added tf prefix resolution.
  * Contributors: Piyush Khandelwal, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 25 Aug 2013 17:49:00 -0000

ros-one-openni-launch (1.9.2-0jammy) jammy; urgency=high

  * Fix device registered point cloud generation.
  * Disabled unregistered depth and disparity processing when
    depth_registration is set to true.
  * Fixing xyzrgb pointcloud generation when device registration is
    enabled.
  * Contributors: Piyush Khandelwal, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 01 Aug 2013 00:00:00 -0000

ros-one-openni-launch (1.9.1-0jammy) jammy; urgency=high

  * Allow proper usage of namespaces for openni's nodes and nodelets.
  * Add arguments for switching on/off each processing module.
  * Removes (assumed) duplicated depth nodelets include thereby removing
    service registration error.
  * Add topic remappings to sort the versious nodelets i/o (i.e. depth, rgb etc.).
  * Add option of utilising the worker threads parameter for the nodelet manager.
  * Moves nodelet_manager into camera namespace.
  * Contributors: Marcus Liebhardt, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Mon, 29 Jul 2013 00:00:00 -0000

ros-one-openni-launch (1.9.0-0jammy) jammy; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-openni-launch (1.8.3-0jammy) jammy; urgency=high

  * Catkinizing openni_launch.
  * Moved manager setup to manager.launch. Added options load_driver and
    publish_tf for suppressing the driver and/or default tf tree, to
    better support bag file playback and calibration.
  * Moved launching of all processing nodelets from device.launch to new
    processing.launch for better reusability, for example bag file
    playback.
  * Use 'respawn' arg instead of 'bond' (deprecated). Conforms to
    image_proc and stereo_image_proc launch files, and now attempts to
    respawn loaders when bonds are enabled. Removed rgb.launch, using
    image_proc.launch instead.
  * Initial commit of openni_launch as unary stack.
  * Contributors: Jonathan Binney, Julius Kammerl, Michael Ferguson, Patrick Mihelich, jbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 03 Jan 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-openni-launch
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roslaunch
Homepage: http://www.ros.org/wiki/openni_launch
Standards-Version: 3.9.2

Package: ros-one-openni-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-nodelet, ros-one-openni-camera, ros-one-rgbd-launch
Description: Launch files to open an OpenNI device and load all nodelets to convert raw depth/RGB/IR streams to depth images, disparity images, and (registered) point clouds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-openni-launch//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-openni-launch 1.11.1-4jammy.20260221.2216

=== debian/changelog ===
ros-one-openni-launch (1.11.1-4jammy.20260221.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 21 Feb 2026 22:16:09 +0000

## ros-one-openni-launch 1.11.1-4noble.20251023.1113

=== debian/changelog ===
ros-one-openni-launch (1.11.1-4noble.20251023.1113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 23 Oct 2025 11:13:36 +0000

ros-one-openni-launch (1.11.1-0noble) noble; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-openni-launch (1.11.0-0noble) noble; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 13 Jan 2018 00:00:00 -0000

ros-one-openni-launch (1.10.0-0noble) noble; urgency=high

  * [maintenance] Repository moved to https://github.com/ros-drivers/openni_camera
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-openni-launch (1.9.8-0noble) noble; urgency=high

  * [feat] adding depth_registered_filtered injection #26 <https://github.com/ros-drivers/openni_launch/issues/26>
  * [sys][Travis CI] Update config to using industrial_ci with Prerelease Test. #28 <https://github.com/ros-drivers/openni_launch/issues/28>
  * Contributors: Jonathan Bohren, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 07 May 2016 00:00:00 -0000

ros-one-openni-launch (1.9.7-0noble) noble; urgency=high

  * 1st ROS Jade release
  * [sys] Add a simple travis config
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 15 Nov 2015 00:00:00 -0000

ros-one-openni-launch (1.9.6-0noble) noble; urgency=high

  * [feat] adjust frame ids to TF2
  * [fix] Removes the leading '/' from the TF frames in case tf_prefix is empty, which fixes this error:
    [ WARN] [1432284298.914340788]: TF2 exception:
    Invalid argument "/camera_rgb_optical_frame" passed to lookupTransform argument target_frame in tf2 frame_ids cannot start with a '/' like:  (/camera/camera_nodelet_manager)
    Actually, tf_prefix is now ignored altogether.
  * Contributors: Jack O'Quin, Jonathan Binney, Martin Guenther

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 27 Oct 2015 00:00:00 -0000

ros-one-openni-launch (1.9.5-0noble) noble; urgency=high

  * Test the ROS launch files, fix some errors (#10 <https://github.com/ros-drivers/openni_launch/issues/10>).
  * Fix errors found by roslaunch unit test (#10 <https://github.com/ros-drivers/openni_launch/issues/10>).
  * Add unit tests for launch file dependencies.
  * Contributors: Jack O'Quin, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 18 Apr 2014 00:00:00 -0000

ros-one-openni-launch (1.9.4-0noble) noble; urgency=high

  * Fix missing run_depend.
  * Contributors: Marcus Liebhardt, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 25 Aug 2013 18:04:00 -0000

ros-one-openni-launch (1.9.3-0noble) noble; urgency=high

  * Switch to rgbd_launch.
  * Added sw_registration and hw_registration flags.
  * Modified the top level file to use internal file names.
  * device.launch is now internal.
  * Added deprecation notice about rgb.launch.
  * Deprecation notices about the move of common launch files to rgbd_launch.
  * Added tf prefix resolution.
  * Contributors: Piyush Khandelwal, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 25 Aug 2013 17:49:00 -0000

ros-one-openni-launch (1.9.2-0noble) noble; urgency=high

  * Fix device registered point cloud generation.
  * Disabled unregistered depth and disparity processing when
    depth_registration is set to true.
  * Fixing xyzrgb pointcloud generation when device registration is
    enabled.
  * Contributors: Piyush Khandelwal, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 01 Aug 2013 00:00:00 -0000

ros-one-openni-launch (1.9.1-0noble) noble; urgency=high

  * Allow proper usage of namespaces for openni's nodes and nodelets.
  * Add arguments for switching on/off each processing module.
  * Removes (assumed) duplicated depth nodelets include thereby removing
    service registration error.
  * Add topic remappings to sort the versious nodelets i/o (i.e. depth, rgb etc.).
  * Add option of utilising the worker threads parameter for the nodelet manager.
  * Moves nodelet_manager into camera namespace.
  * Contributors: Marcus Liebhardt, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Mon, 29 Jul 2013 00:00:00 -0000

ros-one-openni-launch (1.9.0-0noble) noble; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-openni-launch (1.8.3-0noble) noble; urgency=high

  * Catkinizing openni_launch.
  * Moved manager setup to manager.launch. Added options load_driver and
    publish_tf for suppressing the driver and/or default tf tree, to
    better support bag file playback and calibration.
  * Moved launching of all processing nodelets from device.launch to new
    processing.launch for better reusability, for example bag file
    playback.
  * Use 'respawn' arg instead of 'bond' (deprecated). Conforms to
    image_proc and stereo_image_proc launch files, and now attempts to
    respawn loaders when bonds are enabled. Removed rgb.launch, using
    image_proc.launch instead.
  * Initial commit of openni_launch as unary stack.
  * Contributors: Jonathan Binney, Julius Kammerl, Michael Ferguson, Patrick Mihelich, jbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 03 Jan 2013 00:00:00 -0000

## ros-one-openni-launch 1.11.1-4noble.20260221.2312

=== debian/changelog ===
ros-one-openni-launch (1.11.1-4noble.20260221.2312) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 21 Feb 2026 23:12:06 +0000
